import { Plugin, App } from 'vue'
import { TextComponent, textProps } from './Text'

const plugin: Plugin = {
  install(app: App) {
    app.component(TextComponent.name, TextComponent)
  }
}

export default TextComponent // export text
export {
  plugin,
  textProps
}