import { Plugin, App } from 'vue'
import { ButtonComponent, buttonProps } from './Button'

const plugin: Plugin = {
  install(app: App) {
    app.component(ButtonComponent.name, ButtonComponent)
  }
}

export default ButtonComponent // export button
export {
  plugin,
  buttonProps
}